﻿using System.Xml.Serialization;
using System.ServiceModel;

namespace Service
{
    [ServiceContract,XmlSerializerFormat]
    public interface IUserInfo
    {
        [OperationContract]
        User[] GetInfo();
    }

    public class User
    {
        [XmlAttribute]
        public int ID { get; set; }
        [XmlAttribute]
        public string Name { get; set; }
        [XmlAttribute]
        public int Age { get; set; }
        [XmlAttribute]
        public string Nationality { get; set; }
    }
}
